Programs
Approve an affiliate
PUT
/
programs
/
{program_id}
/
affiliates
/
{affiliate_id}
/
approved
/
Approve an affiliate
curl --request PUT \
--url https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'PUT', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/")
.header("X-Api-Key", "<api-key>")
.asString();{
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson",
"email": "jane@example-blog.inc",
"company": {
"name": "Example blog Inc.",
"description": "Best blog ever"
},
"address": {
"address": "Rapenburgerstraat 173",
"address_two": null,
"postal_code": "1011 VM",
"city": "Amsterdam",
"state": "Noord-Holland",
"country": {
"code": "NL",
"name": "Netherlands"
}
},
"meta_data": {
"foo": "bar",
"meta": "data"
},
"parent_id": "sandrasanderson",
"referral_link": {
"link": "https://tapper.inc/johns-cool-product/?ref=nwjinmy",
"asset_id": "1-aaaaaa",
"source_id": "1-ssssss"
},
"coupon": "JANE10OFF",
"approved": true,
"affiliate_group_id": null,
"created_at": "2021-05-27T11:39:03+00:00",
"applied_at": "2021-05-27T11:39:03+00:00",
"promoted_at": null,
"promotion_method": null,
"custom_fields": {
"field1": "value1"
}
}{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}Authorizations
Your API key, from your Tapfiliate account settings.
Path Parameters
The id of the program to add the affiliate too. This id can be found as part of the url when viewing the program on the platform.
The id of the affiliate to approve.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Approve an affiliate
curl --request PUT \
--url https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/ \
--header 'X-Api-Key: <api-key>'const options = {method: 'PUT', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.tapfiliate.com/1.6/programs/{program_id}/affiliates/{affiliate_id}/approved/")
.header("X-Api-Key", "<api-key>")
.asString();{
"id": "janejameson",
"firstname": "Jane",
"lastname": "Jameson",
"email": "jane@example-blog.inc",
"company": {
"name": "Example blog Inc.",
"description": "Best blog ever"
},
"address": {
"address": "Rapenburgerstraat 173",
"address_two": null,
"postal_code": "1011 VM",
"city": "Amsterdam",
"state": "Noord-Holland",
"country": {
"code": "NL",
"name": "Netherlands"
}
},
"meta_data": {
"foo": "bar",
"meta": "data"
},
"parent_id": "sandrasanderson",
"referral_link": {
"link": "https://tapper.inc/johns-cool-product/?ref=nwjinmy",
"asset_id": "1-aaaaaa",
"source_id": "1-ssssss"
},
"coupon": "JANE10OFF",
"approved": true,
"affiliate_group_id": null,
"created_at": "2021-05-27T11:39:03+00:00",
"applied_at": "2021-05-27T11:39:03+00:00",
"promoted_at": null,
"promotion_method": null,
"custom_fields": {
"field1": "value1"
}
}{
"errors": [
{
"message": "Missing mandatory parameter(s)"
}
]
}{
"message": "Authentication Failed.",
"code": 401
}{
"message": "Forbidden",
"code": 403,
"traceId": "04ed655728a22bc0d39f"
}{
"message": "Not Found",
"code": 404,
"traceId": "7ae8e92b77572da03805"
}